<nav class="navbar navbar-expand-lg align-items-lg-center container-p-x" [ngClass]="currentBg()">

    <div  class="web-brand demo-brand">
      <div  class="align-items-center">
        <div  class="d-flex align-items-center">
          <span   class="f-20 v-middle ">
            <div  class="hxLogo"></div>
          </span>
  
          <span  class="ml-3 f-20 v-middle "  (error)="updateImgError($event)"  >
            <img  src="assets/imgs/hxlogo/hx_text.svg" style="height:20px; margin-top: 3px;"></span>
          </div>
          </div>
          <div  style="padding-left:0px;">
            <p  style="margin-bottom:1px;">
              <a  class="demo-brand-name sidenav-text font-weight-normal ml-2" routerlink="/" style="font-weight:bolder !important; color: #ffffff;" href="/"></a></p>
              <a  class="pull-right" href="http://hypersonix.ai/" style="color:rgb(207, 207, 207);font-size: 8px;"></a></div></div>

  
    <div class="navbar-collapse collapse" [ngbCollapse]="!isExpanded">
      <!-- Divider -->
      <hr class="d-lg-none w-100 my-2">
  
     
      <div class="navbar-nav align-items-lg-center ml-auto">
  
        <div  class="demo-navbar-user nav-item dropdown" ngbDropdown  [placement]="'bottom-right'" class="ml-1">
          <a  aria-haspopup="true" class="nav-link dropdown-toggle p-0" href="javascript:void(0)" [class.dropdown-menu-right]="!isRTL" ngbDropdownToggle aria-expanded="false">
            <span  class="d-inline-flex flex-lg-row-reverse align-items-center align-middle p-0">
              <img  alt="" class="d-block ui-w-40 rounded-circle" src="assets/img/avatars/1-small.svg">
              <a href="javascript:void(0)" class="dropdown-item text-right" style="display: grid;">
                <span class=" ml-2 ml-lg-0 username-material text-muted" style="text-transform: capitalize;
                font-size: 11px; font-weight: 400; letter-spacing: .6px; color: #777 !important;">{{companyName}}</span ><span
                class="px-1 mr-lg-2 ml-2 ml-lg-0 username-material user-text"><b>{{userName}}</b></span></a>
            </span>
          </a>
            <div ngbDropdownMenu [class.dropdown-menu-right]="!isRTL" class="mt-3 py-2" style="box-shadow: 0px 3px 10px 1px #7d7d7d5c !important;">
                  <a class="dropdown-item" href="javascript:void(0)" (click)="logout()">
                    <i class="las la-power-off fa-lg"></i><span class="ml-2">Log Out</span></a>
       </div>
       </div>
      </div>
    </div>
  </nav>